Subject: [Extra] Updates to draft-ietf-extra-imap-fetch-preview-07

From: "Alexey Melnikov" <[email-masked]>
Date: Fri, 07 Feb 2020 14:32:14 +0000

Hi Michael,
Thank you for the updated document. I think it is moving in the right direction after our talk in Singapore, but I think you introduced some new problems in the latest version:

You changed the document to use media types for preview algorithms. This is great. However:

You use "text/imap-fetch-preview" media type. Somewhere in the document you say that preview algorithm types should be registered media types (good!), but this media type is not registered.

My suggestion is that you change the document to use "text/plain" media type (which is already registered) and just specify that it means what you use "text/imap-fetch-preview" for in -07.

If you are happy with this change and can do it quickly (by the end of February, but earlier is better), then I can approve this document before I step down from IESG at the end of March.

Thank you,
Alexey